VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | Public Attributes | List of all members
ZoomGestureEvent Struct Reference
Version 4.11

ZoomGestureEvent. More...

Inheritance diagram for ZoomGestureEvent:

## Public Member Functions
| ZoomGestureEvent ()

## Public Attributes
double | zoom
Public Attributes inherited from GestureEvent
Phase | phase {Phase::Unknown}
Public Attributes inherited from MousePositionEvent
CPoint | mousePosition
Public Attributes inherited from ModifierEvent
Modifiers | modifiers {}
| pressed modifiers
Public Attributes inherited from Event
EventType | type {EventType::Unknown}
| Type.
uint64_t | id
| Unique ID.
uint64_t | timestamp
| Timestamp.
EventConsumeState | consumed
| Consumed? If this is true, event dispatching is stopped.

## Additional Inherited Members
Public Types inherited from GestureEvent
enum | Phase : uint32_t { Unknown, Begin, Changed, End }

## Detailed Description

ZoomGestureEvent.

## Constructor & Destructor Documentation

ZoomGestureEvent | ( |  | ) |
| inline

## Member Data Documentation

double zoom

The documentation for this struct was generated from the following file:

- events.h